{
	"name": "form/nc/erp-sync/4d/column/order_row-purchase.json",
	"option": {
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "data.link_rec && colDef.change_compare !== false && recDataDifferent(data.link_rec, colDef, x)"
			},
			"row_class_rules": {
				"nc-grid-row-changed": "data.change_status == 'changed'",
				"nc-grid-row-deleted": "data.change_status == 'deleted'",
				"nc-grid-row-equal": "data.change_status == 'equal'",
				"nc-grid-row-new": "data.change_status == 'new'"
			}
		}
	},
	"column": [
		{
			"change_compare": false,
			"link_field": "ord.order_id",
			"name": "Row",
			"name_fi": "Rivi",
			"record_type": "purchase",
			"variable": "idx"
		},
		{
			"export": false,
			"name": "Status",
			"name_fi": "Tila",
			"variable": "change_status",
			"editable": false,
			"width": 60
		},
		{
			"export": false,
			"name": "Change field",
			"name_fi": "Muutoskentät",
			"variable": "change_field",
			"editable": false,
			"width": 130
		},
		{
			"field": "ordr.order_id",
			"name": "Purchase ord.",
			"name_fi": "Ostotil.",
			"width": 110
		},
		{
			"field": "ordr.row_number",
			"name": "Row",
			"name_fi": "Rivi",
			"width": 60
		},
		{
			"field": "ord.order_state",
			"name": "State",
			"name_fi": "Tila",
			"width": 80
		},
		{
			"field": "ord.order_date",
			"name": "Date",
			"name_fi": "Pvm",
			"width": 110
		},
		{
			"field": "ordr.product_id",
			"name": "Product",
			"name_fi": "Tuote",
			"width": 70
		},
		{
			"field": "ordr.json_data.supplier_product_code",
			"name": "Supplier product",
			"name_fi": "Toim. tuotekoodi",
			"width": 110
		},
		{
			"field": "ordr.json_data.transfer_id",
			"name": "Transfer id",
			"name_fi": "Siirto id",
			"width": 110
		},
		{
			"field": "ordr.delivery_date",
			"name": "Delivery date",
			"name_fi": "Toimituspv",
			"width": 110
		},
		{
			"field": "ordr.description",
			"name": "Description",
			"name_fi": "Kuvaus",
			"width": 120
		},
		{
			"field": "ordr.json_data.project_id",
			"name": "Project ID",
			"name_fi": "Project id",
			"width": 80
		},
		{
			"field": "ord.company_id",
			"name": "Supplier",
			"name_fi": "Toimittaja",
			"width": 100
		},
		{
			"field": "ordr.order_amount",
			"name": "Amount",
			"name_fi": "Määrä",
			"width": 70
		},
		{
			"field": "pr.stock_unit",
			"name": "Unit",
			"name_fi": "Yksikkö",
			"width": 70
		},
		{
			"field": "ordr.unit_price",
			"name": "Unit price",
			"name_fi": "á hinta",
			"width": 100
		},
		{
			"field": "ordr.price_without_vat",
			"name": "Price excl. VAT",
			"name_fi": "hinta alv 0%",
			"width": 120
		},
		{
			"field": "ordr.vat_price",
			"name": "VAT",
			"name_fi": "alv",
			"width": 70
		},
		{
			"field": "ord.currency_id",
			"name": "Currency",
			"name_fi": "Valuutta",
			"width": 80
		},
		{
			"field": "ord.note",
			"name": "Notes",
			"name_fi": "Huomautukset",
			"width": 200
		},
		{
			"change_compare": false,
			"field": "ordr.record_id",
			"hide": true,
			"name": "Record ID",
			"name_fi": "Record id",
			"width": 110
		}
	],
	"columns_not_in_use": [
		{
			"field": "ordr.row_number",
			"name": "Row",
			"name_fi": "Rivi",
			"width": 50
		},
		{
			"field": "ordr.json_data.partial_delivery_number",
			"name": "Partial delivery",
			"name_fi": "Osatoim.",
			"width": 70
		},
		{
			"field": "co.name",
			"name": "Customer name",
			"name_fi": "As. nimi",
			"width": 120
		},
		{
			"field": "ord.vat_price",
			"name": "VAT",
			"name_fi": "Alv",
			"width": 80
		}
	]
}
